import 'package:nanulishus_models/shipping.dart';

class PaymentModel {
  String id;
  ShippingModel shipping;
  String email;
  int amount;
  String currency;
  String paymentMethod;
  bool refunded;

  PaymentModel({
    this.id,
    this.shipping,
    this.email,
    this.amount,
    this.currency,
    this.paymentMethod,
    this.refunded
  });

  factory PaymentModel.fromJson(Map<String, dynamic> parsedJson) {
    bool refunded = false;
    if (parsedJson['charges'] != null && parsedJson['charges']['data'] != null && parsedJson['charges']['data'][0]['refunded'] != null) {
      refunded = parsedJson['charges']['data'][0][refunded];
    }
    return PaymentModel(
      id: parsedJson["id"],
      shipping: ShippingModel.fromJson(parsedJson['shipping']),
      email: parsedJson['receipt_email'],
      paymentMethod: parsedJson['payment_method'],
      refunded: refunded
    );
  }

  Map<String, dynamic> toJson() => {
    "amount": amount,
    "currency": currency,
    "receipt_email": email,
    "shipping": shipping,
    "payment_method": paymentMethod,
  };
}